RDCode: Queries Namespace Reference

# Queries Namespace Reference

## Classes
class | AndQuery
| a Query implementing AND: requires all children to be `true` More...
class | EqualityQuery
| a Query implementing ==: arguments must match a particular value (within an optional tolerance) More...
class | GreaterEqualQuery
| a Query implementing >= using a particular value (and an optional tolerance) More...
class | GreaterQuery
| a Query implementing > using a particular value (and an optional tolerance) More...
class | LessEqualQuery
| a Query implementing <= using a particular value (and an optional tolerance) More...
class | LessQuery
| a Query implementing < using a particular value (and an optional tolerance) More...
class | OrQuery
| a Query implementing AND: requires any child to be `true` More...
class | Int2Type
| class to allow integer values to pick templates More...
class | Query
| Base class for all queries. More...
class | RangeQuery
| a Query implementing a range: arguments must fall in a particular range of values. More...
class | SetQuery
| a Query implementing a set: arguments must one of a set of values More...
class | XOrQuery
| a Query implementing XOR: requires exactly one child to be `true` More...
## Enumerations
enum | CompositeQueryType { COMPOSITE_AND, COMPOSITE_OR, COMPOSITE_XOR }
## Functions
template<class T1, class T2>
int | queryCmp (const T1 v1, const T2 v2, const T1 tol)

## Enumeration Type Documentation

enum Queries::CompositeQueryType

Enumerator:

  COMPOSITE_AND |
  COMPOSITE_OR |
  COMPOSITE_XOR |

Definition at line 31 of file QueryObjects.h.

## Function Documentation

template<class T1, class T2>

int Queries::queryCmp | ( | const T1 | v1,
|  | const T2 | v2,
|  | const T1 | tol |
| ) |  |  | `[inline]`

Definition at line 150 of file Query.h.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), RDKit::AtomRingQuery::Match(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), and Queries::EqualityQuery< int, Atom const *, true >::Match().